{
    attributes = (
        {
            columnName = DLOG_KEY; 
            externalType = NUMBER; 
            name = dlogKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FVOC_CODES; 
            externalType = VARCHAR2; 
            name = fvocCodes; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            columnName = FVOC_COULEURS; 
            externalType = VARCHAR2; 
            name = fvocCouleurs; 
            valueClassName = NSString; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (dlogKey); 
    className = EOGenericRecord; 
    classProperties = (dlogKey, fvocCodes, fvocCouleurs); 
    externalName = SCOL_DROIT_PREFERENCE; 
    fetchSpecificationDictionary = {}; 
    name = ScolDroitPreference; 
    primaryKeyAttributes = (dlogKey); 
}
